package com.gxlu.ps.netcruise.md.nmsctrl;

import com.gxlu.ps.netcruise.md.Configer;
import com.gxlu.ps.netcruise.md.GlobalInstance;
import java.util.LinkedList;

/* loaded from: com_gxlu_ps_netcruise_md_nmsctrl.jar:com/gxlu/ps/netcruise/md/nmsctrl/NMSCommunicatorMgr.class */
public class NMSCommunicatorMgr {
    private static NMSCommunicatorMgr instance;
    private static LinkedList NMSList = new LinkedList();
    private static AlarmListeningThread listenThread = AlarmListeningThread.getInstance();

    private NMSCommunicatorMgr() {
    }

    public static synchronized NMSCommunicatorMgr getInstance() {
        if (instance == null) {
            instance = new NMSCommunicatorMgr();
        }
        return instance;
    }

    public void loadAllNMS() {
        Configer aConfiger = GlobalInstance.getInstance().getConfiger();
        String[] NMSIDList = aConfiger.getNMSList();
        for (String NMSIdentifier : NMSIDList) {
            String NMSSpecialty = aConfiger.getNMSInfo(NMSIdentifier, "specialty");
            String NMSAddress = aConfiger.getNMSInfo(NMSIdentifier, "address");
            int NMSLocalPort = Integer.parseInt(aConfiger.getNMSInfo(NMSIdentifier, "local_port"));
            int NMSRemotePort = Integer.parseInt(aConfiger.getNMSInfo(NMSIdentifier, "remote_port"));
            String NMSTime = aConfiger.getNMSSyncTime(NMSIdentifier);
            NMSCommunicator aCommunicator = new NMSCommunicator(NMSIdentifier, NMSSpecialty, NMSAddress, NMSRemotePort, NMSLocalPort, NMSTime);
            aCommunicator.init();
            NMSList.add(aCommunicator);
        }
    }

    public void startAllNMSComm() {
        listenThread.start();
        for (int index = 0; index < NMSList.size(); index++) {
            final NMSCommunicator aCommunicator = (NMSCommunicator) NMSList.get(index);
            Thread aThread = new Thread() { // from class: com.gxlu.ps.netcruise.md.nmsctrl.NMSCommunicatorMgr.1
                @Override // java.lang.Thread, java.lang.Runnable
                public void run() {
                    aCommunicator.startNMSCommunication();
                }
            };
            aThread.start();
        }
    }

    public void stopAllNMSComm() {
        listenThread.shutdownThread();
        for (int index = 0; index < NMSList.size(); index++) {
            NMSCommunicator aCommunicator = (NMSCommunicator) NMSList.get(index);
            aCommunicator.stopNMSCommunication();
        }
    }

    public int setAlarmThreadByIP(String IP, AlarmReceiveThread thread) {
        LinkedList var3 = NMSList;
        synchronized (var3) {
            for (int index = 0; index < NMSList.size(); index++) {
                NMSCommunicator aCommunicator = (NMSCommunicator) NMSList.get(index);
                if (aCommunicator.getNMSIP().equals(IP)) {
                    aCommunicator.setAlarmReceiveThread(thread);
                    return 0;
                }
            }
            return -1;
        }
    }

    public NMSCommunicator getCommunicatorByIP(String IP) {
        LinkedList var2 = NMSList;
        synchronized (var2) {
            for (int index = 0; index < NMSList.size(); index++) {
                NMSCommunicator aCommunicator = (NMSCommunicator) NMSList.get(index);
                if (aCommunicator.getNMSIP().equals(IP)) {
                    return aCommunicator;
                }
            }
            return (NMSCommunicator) null;
        }
    }
}
